1

Im trying to installing a new plugin, but it keeps saying that the magento-php-script has no access to /var, but /var has chmod 0777. All childrenfolders have 777, except for composer_home which has 777 as well.

[Exception]
Missing write permissions to the following directories: '/home/ccsammelfiguren/public_html/var'

However, I need to upgrade the instance in order to activate the module I want to install. If I keep the module in the filesystem, I get an exception error with following content:

a:4:{i:0;s:208:"Please upgrade your database: Run "bin/magento setup:upgrade" from the Magento root directory. 
The following modules are outdated:
Magenest_ProductLabel data: current version - none, required version - 1.0.0";i:1;s:2748:"#0 [internal function]: Magento\Framework\Module\Plugin\DbStatusValidator->aroundDispatch(Object(Magento\Framework\App\FrontController\Interceptor), Object(Closure), Object(Magento\Framework\App\Request\Http))
#1 /home/ccsammelfiguren/public_html/vendor/magento/framework/Interception/Chain/Chain.php(67): call_user_func_array(Array, Array)
#2 /home/ccsammelfiguren/public_html/vendor/magento/framework/Interception/Chain/Chain.php(63): Magento\Framework\Interception\Chain\Chain->invokeNext('Magento\\Framewo...', 'dispatch', Object(Magento\Framework\App\FrontController\Interceptor), Array, 'front-controlle...')
#3 /home/ccsammelfiguren/public_html/vendor/magento/module-page-cache/Model/App/FrontController/VarnishPlugin.php(55): Magento\Framework\Interception\Chain\Chain->Magento\Framework\Interception\Chain\{closure}(Object(Magento\Framework\App\Request\Http))
#4 [internal function]: Magento\PageCache\Model\App\FrontController\VarnishPlugin->aroundDispatch(Object(Magento\Framework\App\FrontController\Interceptor), Object(Closure), Object(Magento\Framework\App\Request\Http))
#5 /home/ccsammelfiguren/public_html/vendor/magento/framework/Interception/Chain/Chain.php(67): call_user_func_array(Array, Array)
#6 /home/ccsammelfiguren/public_html/vendor/magento/framework/Interception/Interceptor.php(136): Magento\Framework\Interception\Chain\Chain->invokeNext('Magento\\Framewo...', 'dispatch', Object(Magento\Framework\App\FrontController\Interceptor), Array, 'front-controlle...')
#7 /home/ccsammelfiguren/public_html/vendor/magento/module-page-cache/Model/App/FrontController/BuiltinPlugin.php(73): Magento\Framework\App\FrontController\Interceptor->Magento\Framework\Interception\{closure}(Object(Magento\Framework\App\Request\Http))
#8 [internal function]: Magento\PageCache\Model\App\FrontController\BuiltinPlugin->aroundDispatch(Object(Magento\Framework\App\FrontController\Interceptor), Object(Closure), Object(Magento\Framework\App\Request\Http))
#9 /home/ccsammelfiguren/public_html/vendor/magento/framework/Interception/Interceptor.php(140): call_user_func_array(Array, Array)
#10 /home/ccsammelfiguren/public_html/var/generation/Magento/Framework/App/FrontController/Interceptor.php(26): Magento\Framework\App\FrontController\Interceptor->___callPlugins('dispatch', Array, Array)
#11 /home/ccsammelfiguren/public_html/vendor/magento/framework/App/Http.php(115): Magento\Framework\App\FrontController\Interceptor->dispatch(Object(Magento\Framework\App\Request\Http))
#12 /home/ccsammelfiguren/public_html/vendor/magento/framework/App/Bootstrap.php(258): Magento\Framework\App\Http->launch()
#13 /home/ccsammelfiguren/public_html/index.php(39): Magento\Framework\App\Bootstrap->run(Object(Magento\Framework\App\Http))
#14 {main}";s:3:"url";s:1:"/";s:11:"script_name";s:10:"/index.php";}

Seems like the module isnt acknoledged by magento since setup:upgrade wasnt successful. I already tried to manipulate the FilePermissions.php and tried to find broken symlinks (there are none).

Any idea, maybe?

0

switch magento user to root and run this command will fixed this error.

[root@localhost m2.com]# magento setup:upgrade && chmod -R 777 ./

And this will no error again. If I switch magento user it will always show the file permission in /var/* even though the files permission was set to be 777

|improve this answer|||||

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.